質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.01%

Android eclipseでのgoogle_play_services導入の方法

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 5,157

yryuu

score 145

既存のプロジェクトをeclipseでインポートすると

AndroidManifestで
<meta-data 
android:name="com.google.android.gms.version"
android:value="@integer/google_play_services_version" />
以下のような記述があり
google_play_servicesが存在していないとの問題が発生しております。
エラー文
error: Error: No resource found that matches the given name (at 'value' with value '@integer/google_play_services_version').    AndroidManifest.xml    /**    line *Android AAPT Problem

Android SDKで確認すると
google_play_servicesは存在するのですがRevが31のものになっており
インストールすると
sdk\extras\google\google_play_servicesが確かにできるのでですが
docsとsamplesとsource.propertiesしか存在していなく
困っています。

eclipseで既存プロジェクトにgoogle_play_servicesを導入する方法を教えていただけますか

ちなみに
使用しているモジュールは以下の三つです。
import com.google.android.gms.analytics.GoogleAnalytics;
import com.google.android.gms.analytics.HitBuilders;
import com.google.android.gms.analytics.Tracker;

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

何か特別な理由でeclipseを使っているのでしょうか
古いコードをメンテしないといけないとか...

ライブラリーの実体はsdk\extras\google\google_play_servicesではなく

../sdk/extras/google/m2repository/com/google/android/gms/

play-services            play-services-gcm
play-services-ads        play-services-identity
play-services-ads-lite        play-services-iid
play-services-all-wear        play-services-location
play-services-analytics        play-services-maps
play-services-analytics-impl    play-services-measurement
play-services-appindexing    play-services-nearby
play-services-appinvite        play-services-panorama
play-services-appstate        play-services-plus
play-services-auth        play-services-safetynet
play-services-auth-base        play-services-tagmanager
play-services-base        play-services-tagmanager-api
play-services-basement        play-services-tasks
play-services-cast        play-services-vision
play-services-drive        play-services-wallet
play-services-fitness        play-services-wearable
play-services-games

これらはjarファイルではなくaarファイルです
zipで解凍すればjarが中にいると思いますので引っ張りだしてみてください
eclipseでうまくいくかは疑問ですが

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/07/06 13:46 編集

    ありがとうございます。

    ご指定の方法でplay-servicesの任意のバージョンをaarファイルを解凍し
    jarファイルをプロジェクトでincludeし再ビルドするとうまくいきました。


    エラー文
    error: Error: No resource found that matches the given name (at 'value' with value '@integer/google_play_services_version'). AndroidManifest.xml /** line *Android AAPT Problem


    @integer/google_play_services_versionはどうしても取得できなかったので
    m2repository\com\google\android\gms\play-services\6.5.87\play-services-6.5.87\res\values\values.xmlの中にバージョンが記載されているみたいなので
    そこから取得し

    <meta-data
    android:name="com.google.android.gms.version"
    android:value="@integer/google_play_services_version" />

                   ↓AndroidManifestを以下のように修正

    <meta-data
    android:name="com.google.android.gms.version"
    android:value="6587000" />

    キャンセル

  • 2016/07/06 14:15

    なるほど、Eclipseでもなんとかできることはできるのですね
    Cocosdすか?

    google_play_servicesのライブラリーは毎回アップデートしていると古いのが残っているんですね、
    Android Studioだとgradleで指定するのでライブラリーがどこにあるかなど
    気にしないのでできてしまうのですが

    キャンセル

0

まず、AndroidSDKマネージャーでGooglePlayServiceをダウンロードされているかを確認してください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/07/05 16:53

    はい
    何回か試してますが
    やはり
    docsとsamplesとsource.propertiesしか生成されないことを確認しています

    キャンセル

  • 2016/07/05 17:19

    27だとlibprojectは存在するんですけどね。
    最新だと含まれなくなってしまったのかもしれしれないです。少し調べてみます。

    キャンセル

  • 2016/07/05 18:05

    ありがとうございます。
    既存プロジェクトが何のReVを使っていたのかがわからないのですが
    最新でも問題ないでしょうか

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.01%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる